<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Family;

class FamilySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $family = new Family(["id" => 1, "name" => "ANGULOS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 2, "name" => "APM", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 3, "name" => "BARRAS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 4, "name" => "BASCULANTE", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 5, "name" => "CADENAS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 6, "name" => "CAÑOS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 7, "name" => "CHAPAS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 8, "name" => "CILINDROS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 9, "name" => "CONTACTOS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 10, "name" => "ENGRANAJE", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 11, "name" => "FUENTES", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 12, "name" => "HORQUILLAS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 13, "name" => "MICROS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 14, "name" => "MOTOR", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 15, "name" => "PERFILES", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 16, "name" => "PIÑON", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 17, "name" => "PIVOT", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 18, "name" => "PLANCHUELAS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 19, "name" => "PLC", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 20, "name" => "PORTA RODAMIENTOS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 21, "name" => "REDUCTOR", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 22, "name" => "RELES", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 23, "name" => "SENSORES", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 24, "name" => "TAZOLETA", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 25, "name" => "TENSORES", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 26, "name" => "TERMICOS", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 27, "name" => "TRANSFORMADORES", "description" => ""]);
        $family->saveOrFail();
        $family = new Family(["id" => 28, "name" => "VARIADORES", "description" => ""]);
        $family->saveOrFail();

    }
}
